%define fontname sawarabi-gothic
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: sawarabi gothic font
Summary(ja): さわらびゴシックフォント
Version: 20120115
Release: 1%{?_dist_release}
License: CC-BY
Group: User Interface/X
URL: http://sourceforge.jp/projects/sawarabi-fonts/

Source0: %{fontname}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: TrueType-%{fontname}-doc

%description
Sawarabi gothic font is Japanese TrueType font what have been developed 
in opensource.

%description -l ja
さわらびゴシックフォントは、オープンソースで開発されている
日本語 TrueType フォントです。

%package doc
Summary: swarabi gothic font documents
Summary(ja): さわらびゴシックフォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for sawarabi gothic font
includes enduser license.

%description -l ja doc
このパッケージにはさわらびゴシックフォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -n %{fontname}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/*.ttf

%files doc
%doc *.txt

%changelog
* Mon Jan 16 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20120115-1
- new upstream release

* Sat Dec 17 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20111215-1
- new upstream release

* Fri Nov 18 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20111115-1
- new upstream release

* Tue Oct 18 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20111015-1
- new upstream release

* Sat Sep 17 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110915-1
- new upstream release

* Fri Aug 19 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110815-1
- new upstream release

* Fri Jul 15 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110715-1
- new upstream release

* Tue Jun 21 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110615-1
- new upstream release

* Sun May 15 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110515-1
- new upstream release

* Fri Apr 29 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110415-1
- new upstream release
- fixed %%changelog typo in Wed Feb 16 2011

* Wed Feb 16 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110215-1
- new upstream release

* Mon Jan 17 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110115-1
- new upstream release

* Sat Dec 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20101215-1
- new upstream release

* Thu Nov 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20101115-1
- new upstream release

* Fri Oct 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20101015-1
- new upstream release

* Fri Oct 8 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20100915-2
- fixed doc package description

* Sat Sep 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20100915-1
- initial build for VineSeed
